Name:               lat
Summary:            LDAP Administration Tool
Version:            1.2.3
Release:            12%{?dist}
License:            GPLv2
Group:              Applications/Productivity
Url:                http://sourceforge.net/projects/ldap-at/
Source0:            http://downloads.sf.net/ldap-at/lat-%{version}.tar.gz
Patch0:             lat-1.2.2-libdir.patch
Patch1:             lat-1.2.3-desktop-icon-no-ext.patch
Patch2:             lat-1.2.3-deprecated-stuff.patch
Patch10:            lat-1.2.3-watches.patch
Patch11:            lat-1.2.3-no-groups-crash.patch
BuildRequires:      mono-devel >= 1.1.12.1, gnome-keyring-devel >= 0.4.2, avahi-sharp
BuildRequires:      rarian-compat, gettext, intltool, dbus-sharp, desktop-file-utils
BuildRequires:      gnome-sharp-devel, gtk-sharp2-devel >= 2.12.0, dbus-sharp-devel
Requires:           gnome-sharp, gtk-sharp2 >= 2.12.0, dbus-sharp
Requires:           mono-data, avahi-sharp, yelp

# Mono and hence lat not available on sparc64 (#531451)
ExcludeArch:        sparc64

# Debuginfo package would be empty as there are no binaries in this package
%define debug_package %{nil}

# Don't generate mono provides and requires for private plugins
%global __provides_exclude ^mono\\([A-Za-z-]*\\) = 0\\.0\\.0\\.0$
%global __requires_exclude ^mono\\([A-Za-z-]*\\) = 0\\.0\\.0\\.0$

%description
LAT stands for LDAP Administration Tool. The tool allows you to browse
LDAP-based directories and add/edit/delete entries contained within. It can
store profiles for quick access to different servers. There are also
different views available such as Users, Groups and Hosts that allow you to
manage objects easily without having to deal with the intricacies of LDAP.

%package devel
Summary:            Development files for building plugins for LDAP Administration Tool
Group:              Development/Libraries
Requires:           %{name} = %{version}-%{release}
Requires:           gtk-sharp2-devel >= 2.12.0

%description devel
The lat-devel package contains the files needed to build plugins for lat
(LDAP Administration Tool).

%prep
%setup -q

# Pick up the executable from %{_libdir} rather than %{_prefix}/lib
%patch0 -p1 -b .libdir

# Remove filename extension from Icon field of desktop file
%patch1 -p1 -b .no-ext

# Update some deprecated methods; port to newer GtkTooltip API
%patch2 -p1 -b .dep

# Don't add FileSystemWatcher watches on directories that don't exist -
# upstream changeset 10
%patch10 -p0

# Fix a crash when trying to create a user while no groups (and thus no gid)
# are available yet for this user, or when adding an object without any
# required attributes - upstream changesets 12 and 14
%patch11 -p0

%build
%configure --disable-dependency-tracking
%{__make} %{_smp_mflags} appicondir=%{_datadir}/icons/hicolor/22x22/apps

%install
%{__make} DESTDIR=%{buildroot} \
        appicondir=%{_datadir}/icons/hicolor/22x22/apps \
        install

# Fix up desktop file
/usr/bin/desktop-file-install \
        --vendor fedora \
        --delete-original \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category X-Fedora \
        %{buildroot}%{_datadir}/applications/lat.desktop

# Find translations
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/lat
%{_libdir}/lat/
%{_datadir}/application-registry/lat.applications
%{_datadir}/applications/fedora-lat.desktop
%{_datadir}/gnome/help/lat/
%{_datadir}/icons/hicolor/22x22/apps/lat.png
%{_datadir}/omf/lat/
%{_mandir}/man1/lat.1*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/lat-plugins.pc

%changelog
* Wed Feb 16 2011 Paul Howarth <paul@city-fan.org> 1.2.3-12
- Filter out mono requires for private plugins
- Use rpm 4.9.x native dependency filtering mechanism
- Drop legacy buildroot and buildroot cleaning
- No longer need explicit require for pkgconfig in devel package

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 28 2009 Paul Howarth <paul@city-fan.org> 1.2.3-10
- Fix deprecation warnings and port to new GtkTooltip API
- Build/Require gtk-sharp2 >= 2.12.0 for new GtkTooltip API
- Add upstream patch for FileSystemWatcher watches
- Add upstream patch for fixing crashes when adding objects
- Update icon cache scriptlets to current best practice
- Scrollkeeper obsoleted by rarian-compat; scriplets now redundant
- Don't need to own directory %%{_datadir}/gnome (owned by filesystem)
- Don't need to own directory %%{_datadir}/gnome/help (owned by yelp)
- Don't generate mono provides for private plugins
- Add bugzilla reference for ExcludeArch sparc64 (#531451)

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 1.2.3-9
- Remove Fedora 5 conditionals
- ExcludeArch sparc64 due to missing mono support on that arch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Xavier Lamien <laxathom@fedoraproject.org> - 1.2.3-7
- Build arch ppc64 now that mono stack is available for that arch (#241911)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 20 2008 Paul Howarth <paul@city-fan.org> 1.2.3-5
- Upstream has moved to sourceforge

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.3-4
- Rebuild for new gnome-sharp

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> 1.2.3-3
- Run "make" in %%build rather than doing it implicitly in %%install

* Mon Dec  3 2007 Paul Howarth <paul@city-fan.org> 1.2.3-2
- Explicitly buildrequire desktop-file-utils
- Remove filename extension from Icon field of desktop file

* Fri Sep 28 2007 Paul Howarth <paul@city-fan.org> 1.2.3-1
- Update to 1.2.3
- Clarify license as GPL version 2

* Sat Jun  9 2007 Paul Howarth <paul@city-fan.org> 1.2.2-3
- ExcludeArch ppc64 due to missing mono support on that arch (#241911)
- Require yelp (#243403)

* Fri Mar 16 2007 Paul Howarth <paul@city-fan.org> 1.2.2-2
- Upstream now installs correctly into %%{_libdir} rather than %%{_prefix}/lib
  so there's no need to override the destination directory in %%install; this
  change gets the plugins installed into the correct directory too (#232278)

* Fri Feb 23 2007 Paul Howarth <paul@city-fan.org> 1.2.2-1
- Update to 1.2.2
- Use a patch rather than an edit in %%prep to fix libdir location

* Tue Nov 21 2006 Paul Howarth <paul@city-fan.org> 1.2.1.1-2
- Add missing runtime dep, gnome-sharp

* Fri Oct 20 2006 Paul Howarth <paul@city-fan.org> 1.2.1.1-1
- Update to 1.2.1.1

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> 1.2.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Paul Howarth <paul@city-fan.org> 1.2.0.1-1
- Update to 1.2.0.1
- Update source URL
- Make some buildreqs versioned
- Add new buildreqs and reqs avahi-sharp, dbus-sharp
- Create -devel subpackage for plugins stuff

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> 1.0.7-2
- On FC-6 onwards, scrollkeeper owns %%{_datadir}/omf/ (#205668)

* Wed Sep  6 2006 Paul Howarth <paul@city-fan.org> 1.0.7-1
- Update to 1.0.7
- Conditionalize gtk-sharp2 buildreqs for FC-5 and other releases
- Tidy spec changelog

* Mon Aug 29 2006 Paul Howarth <paul@city-fan.org> 1.0.6-3
- buildreq gnome-sharp-devel, gtk-sharp2-devel, and intltool

* Mon Jul  3 2006 Paul Howarth <paul@city-fan.org> 1.0.6-2
- Make package arch-specific; files in %%{_libdir} rather than %%{_prefix}/lib
  See: http://www.redhat.com/archives/fedora-packaging/2006-July/msg00013.html
- Expand tabs to shut rpmlint up

* Sat Jul  1 2006 Paul Howarth <paul@city-fan.org> 1.0.6-1
- Update to 1.0.6
- Remove patch, now fixed upstream

* Mon Jun 19 2006 Paul Howarth <paul@city-fan.org> 1.0.5-6
- Patch configure script, removing need for mono hacks

* Sat Jun 17 2006 Paul Howarth <paul@city-fan.org> 1.0.5-5
- Reinstate %%{_libdir} hack for consistency with other mono apps that actually
  need it

* Thu Jun 15 2006 Paul Howarth <paul@city-fan.org> 1.0.5-4
- Use %%{_prefix}/lib rather than %%{_libdir}, needed for 64-bit builds

* Thu Jun 15 2006 Paul Howarth <paul@city-fan.org> 1.0.5-3
- Pure C# apps should be noarch
- Swap one set of horrible mono hacks for another

* Mon Jun 12 2006 Paul Howarth <paul@city-fan.org> 1.0.5-2
- Spec file cleanups (#177580)
-   No need to use update-desktop-database (no MIME type in desktop file)
-   No need to remove .la files (artefact from old package)
-   Own directories %%{_datadir}/gnome/{,help/} and %%{_datadir}/omf/
-   Put icon in %%{_datadir}/icons/hicolor/22x22/apps directory rather than
    %%{_datadir}/pixmaps, and update icon cache post-install/removal
-   Add doc files AUTHORS ChangeLog COPYING* README TODO
- Add missing buildreq gettext
- Remove redundant MONO_SHARED_DIR assignments in %%build and %%install
- Don't redefine %%{_libdir}, it's not needed
- Prevent creation of debuginfo package, which would be empty for a mono app

* Mon May 22 2006 Paul Howarth <paul@city-fan.org> 1.0.5-1
- Update to 1.0.5
- Use desktop-file-install

* Thu Apr 20 2006 Paul Howarth <paul@city-fan.org> 1.0.4-1
- Update to 1.0.4
- Fix URL/Source tag mix-up
- Use Fedora Extras standard buildroot
- Buildreq/Req gtk-sharp2 rather than gtk-sharp
- Consolidate scriptlet deps
- Use --disable-dependency-tracking with configure to speed up build
- Expand %%description
- Remove buildroot unconditionally in %%clean and %%install
- Use explicit paths for all commands
- Remove build-time scrollkeeper data, which contains buildroot traces
- Tidy up %%files section
- Add %%{?dist} tag
- Hardcode %%{_libdir} as /usr/lib for mono apps
- Add %%defattr in %%files list

* Tue Jan 10 2006 David Malcolm <dmalcolm@redhat.com> 0.8.2-1
- Initial version
